﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=9.8
@EndOfDesignText@
'Static code module
Sub Process_Globals
	
	Private mProjectAudioFormat As JavaObject

	Private mSampleRateInHz As Float
	Private mSampleSizeInBits As Int
	Private mChannelConfig As Int
End Sub

Public Sub SetProjectAudioFormat(SampleRateHz As Float,SampleSizeInBits As Int, ChannelConfig As Int,Signed As Boolean,BigEndian As Boolean)
	mSampleRateInHz = SampleRateHz
	mSampleSizeInBits = SampleSizeInBits
	mChannelConfig = ChannelConfig
	
	mProjectAudioFormat = mProjectAudioFormat.InitializeNewInstance("javax.sound.sampled.AudioFormat",Array(SampleRateHz,SampleSizeInBits,ChannelConfig,Signed,BigEndian))
End Sub

Public Sub ProjectAudioFormatMatches(AF As JavaObject) As Boolean
	Return mProjectAudioFormat.RunMethod("matches",Array(AF))
End Sub

Public Sub ProjectAudioFormat As JavaObject
	Return mProjectAudioFormat
End Sub

Public Sub ProjectSampleRateInHz As Float
	Return mSampleRateInHz
End Sub

Public Sub ProjectSampleSizeInBits As Int
	Return mSampleSizeInBits
End Sub

Public Sub ProjectChannelConfig As Int
	Return mChannelConfig
End Sub


