﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.8
@EndOfDesignText@
'Gui for each mixer channel
Sub Class_Globals
	Private mEventName As String 'ignore
	Private mCallBack As Object 'ignore
	Public mBase As B4XView
	Private xui As XUI 'ignore
	Public Tag As Object
	Private mTrack As MixerTrack
	Private Label1 As B4XView
	Private slGain As Slider
	Private slBalance As Slider
	Private slVolume As Slider
	Private lblGain As B4XView
	Private CBSoloIndex As Int = 7
	
End Sub

Public Sub Initialize (Callback As Object, EventName As String)
	mEventName = EventName
	mCallBack = Callback
End Sub

'Base type must be Object
Public Sub DesignerCreateView (Base As Object, Lbl As Label, Props As Map)
	mBase = Base
	Tag = mBase.Tag
	mBase.Tag = Me
	mBase.LoadLayout("channel_cv_layout")
	
	Sleep(0)
	'Style the slidertick marks
	SLMixer_Utils.StyleTickMarks(slVolume)
	

End Sub

Private Sub Base_Resize (Width As Double, Height As Double)
  
End Sub

Public Sub setTrack(MT As MixerTrack, Name As String)
	Label1.Text = Name
	mTrack = MT
End Sub

Private Sub cbMute_CheckedChange(Checked As Boolean)
	mTrack.Mute = Checked
End Sub

'Use mouseClicked in preference to CheckedChanged as it doesn't automatically get 
'called when other checkboxes are changed in code.
'Only want one solo checkbox selected at a time
Private Sub cbSolo_MouseClicked (EventData As MouseEvent)
	Dim CB As B4XView = Sender
	For i = 0 To mBase.Parent.Parent.NumberOfViews - 1
		Dim P As B4XView = mBase.Parent.Parent.GetView(i)
		Dim CB1 As B4XView = P.GetView(0).GetView(0).GetView(CBSoloIndex)
		If CB = CB1 Then Continue
		CB1.Checked = False
	Next
	mTrack.Solo = CB.Checked
End Sub

Private Sub slBalance_ValueChange (Value As Double)
	Dim NVal As Float = Value / 100					'Normalise the value to range 0 - 2
	If NVal < 1 Then
		mTrack.RightBalance = NVal
		mTrack.LeftBalance = 1
	Else
		mTrack.LeftBalance = 2 - NVal
		mTrack.RightBalance = 1
	End If
End Sub

Private Sub slGain_ValueChange (Value As Double)
	mTrack.Gain = Value / 100
End Sub

Private Sub label1_MouseClicked (EventData As MouseEvent)
	slVolume.Value = 100
End Sub

Private Sub lblGain_MouseClicked (EventData As MouseEvent)
	slGain.Value = 100
End Sub

Private Sub LblBalance_MouseClicked (EventData As MouseEvent)
	slBalance.Value = 100
End Sub

Private Sub slVolume_ValueChange (Value As Double)
	mTrack.Volume = Value / 100
End Sub